Bug 114876 - x11/xkeyboard-config - Couldn't load XKB keymap, falling back to pre-XKB keymap
Summary: x11/xkeyboard-config - Couldn't load XKB keymap, falling back to pre-XKB keymap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-25 01:20 UTC by Antoine Vu-Ngoc
Modified: 2007-07-27 11:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Vu-Ngoc 2007-07-25 01:20:01 UTC
Just upgraded xkeyboard-config-0.9_3 to xkeybxkeyboard-config-1.0..

Got " Couldn't load XKB keymap, falling back to pre-XKB keymap" in /var/log/Xorg.0.log.

Unable to use special characters with my french keyboard.

Seems that dir /usr/local/lib/X11/xkb/compiled is needed.

Fix: 

Workaround, as root

# mkdir /usr/local/lib/X11/xkb/compiled
Comment 1 Edwin Groothuis freebsd_committer 2007-07-25 01:36:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer
Comment 2 Hajimu UMEMOTO freebsd_committer 2007-07-25 16:34:52 UTC
Hi,

>>>>> On Wed, 25 Jul 2007 00:17:57 GMT
>>>>> Antoine Vu-Ngoc <antoine@cleopatre.homeip.net> said:

antoine> Just upgraded xkeyboard-config-0.9_3 to xkeybxkeyboard-config-1.0..

antoine> Got " Couldn't load XKB keymap, falling back to pre-XKB keymap" in /var/log/Xorg.0.log.

antoine> Unable to use special characters with my french keyboard.

I met this problem with my jp106 keyboard, too.

antoine> Seems that dir /usr/local/lib/X11/xkb/compiled is needed.
antoine> Workaround, as root
antoine> # mkdir /usr/local/lib/X11/xkb/compiled

This doesn't help, but `mkdir /usr/local/share/X11/xkb/compiled' seems
solve this problem for me.

Sincerely,

--
Hajimu UMEMOTO @ Internet Mutual Aid Society Yokohama, Japan
ume@mahoroba.org  ume@{,jp.}FreeBSD.org
http://www.imasy.org/~ume/
Comment 3 Antoine Vu-Ngoc 2007-07-25 18:44:12 UTC
hello,

Hajimu > This doesn't help, but `mkdir /usr/local/share/X11/xkb/compiled' 
seems solve this problem for me.

It worked for me because of a previous link made during investigation. 
ls -l /usr/local/lib/X11/xkb
lrwxr-xr-x   1 root  wheel     24 24 jul 10:29 xkb -> /usr/local/share/X11/xkb

My mistake. 

Hajimu is right.

Rgds.
Comment 4 Henrik Brix Andersen 2007-07-26 14:44:34 UTC
Here is a patch for making the port create that directory on
installation:

diff -urp /usr/ports/x11/xkeyboard-config/Makefile x11/xkeyboard-config/Makefile
--- /usr/ports/x11/xkeyboard-config/Makefile	2007-07-24 16:11:49.000000000 +0200
+++ x11/xkeyboard-config/Makefile	2007-07-26 15:19:29.000000000 +0200
@@ -7,6 +7,7 @@
 
 PORTNAME=	xkeyboard-config
 PORTVERSION=	1.0
+PORTREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	http://xlibs.freedesktop.org/xkbdesc/
 DISTNAME=	xkeyboard-config-${PORTVERSION}
@@ -31,5 +32,6 @@ CONFIGURE_ARGS+=	--with-xkb-base=${PREFI
 
 post-install:
 	${MKDIR} /var/lib/xkb
+	${MKDIR} ${PREFIX}/share/X11/xkb/compiled
 
 .include <bsd.port.mk>
diff -urp /usr/ports/x11/xkeyboard-config/pkg-plist x11/xkeyboard-config/pkg-plist
--- /usr/ports/x11/xkeyboard-config/pkg-plist	2007-07-24 16:11:49.000000000 +0200
+++ x11/xkeyboard-config/pkg-plist	2007-07-26 15:28:57.000000000 +0200
@@ -289,7 +289,9 @@ share/X11/xkb/types/pc
 share/X11/xkb/types/README
 share/X11/xkb/xkbcomp
 @exec mkdir -p /var/lib/xkb
+@exec mkdir -p %D/share/X11/xkb/compiled
 @dirrm share/X11/xkb/compat
+@dirrm share/X11/xkb/compiled
 @dirrm share/X11/xkb/geometry/digital_vndr
 @dirrm share/X11/xkb/geometry/sgi_vndr
 @dirrm share/X11/xkb/geometry


-- 
Henrik Brix Andersen <henrik@brixandersen.dk>
Comment 5 Antoine Vu-Ngoc 2007-07-26 22:55:24 UTC
Hello,

The patch works correctly for me.

By the way, man page setxkbmap(1) says that all the stuff is 
in "/usr/local/lib/X11/xkb".

Should be corrected to "/usr/local/share/X11/xkb".

Thanks a lot.

Antoine Vu-Ngoc
Comment 6 Pav Lucistnik freebsd_committer 2007-07-27 00:01:04 UTC
Responsible Changed
From-To: freebsd-x11->pav

Take
Comment 7 Pav Lucistnik freebsd_committer 2007-07-27 10:51:06 UTC
State Changed
From-To: open->closed

Fixed in 1.0_1, thanks for report
Comment 8 dfilter service freebsd_committer 2007-07-27 10:51:30 UTC
pav         2007-07-27 09:51:20 UTC

  FreeBSD ports repository

  Modified files:
    x11/xkeyboard-config Makefile pkg-plist 
  Log:
  - Install a symlink from PREFIX/share/xkb/compiled to /var/lib/compiled.
    Fixes a lot of runtime problems for a lot of people
  
  PR:             ports/114876, ports/114924
  Submitted by:   Henrik Brix Andersen <henrik@brixandersen.dk>
  Reported by:    Craig Boston <craig@yekse.gank.org>,
                  Antoine Vu-Ngoc <antoine@cleopatre.homeip.net> and many more
  
  Revision  Changes    Path
  1.4       +2 -0      ports/x11/xkeyboard-config/Makefile
  1.4       +1 -0      ports/x11/xkeyboard-config/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"